Class | ProjectCreator
In: | lib/ramaze/tool/project_creator.rb
Parent: | Object

### Methods

amend? copy copy? create create_root? each fatal force? got_proto? mkdir mkdir? new post_process proceed proceed_directories proceed_files proto relate target

### Included Modules

Enumerable

### Constants

PROTO | = | []

### Attributes

name | [RW] |
options | [RW] |

### Public Class methods

new(name, options = {})

### Public Instance methods

amend?()
copy(from, to)
copy?(file)
create()
create_root?()
each() {|path| ...}
fatal(message)
force?()
got_proto?()
mkdir(dir)
mkdir?(dir)
post_process(file)

Think about a useful way to process the generated files it should be possible to substitute some things like the project name in the configuration

proceed()
proceed_directories(dirs)
proceed_files(files)
proto()
relate(path)
target()

[Validate]